package cn.yw.repairmanage.model;

import cn.base.bean.BaseBean;
//[运维维修工单信息]

public class YwrepairjobinfoBean extends BaseBean implements java.io.Serializable {
	private String jobid;//[工单编号]
	private int jobsource;//[工单来源]
	private String alarmeventid;//[告警事件id]
	private int faultdevicetype;//[故障设备类型]
	private String faultdevicename;//[故障设备名称]
	private String faultdeviceid;//[故障设备编号]
	private int channelnum;//[通道编号]
	private String faultpictureurl;//[故障图片url]
	private int faultgrade;//[故障等级]
	private int faulttype;//[故障类型]
	private String faultdescription;//[故障描述]
	private String faultoccurtime;//[故障发生时间]
	private String requirefinishtime;//[要求完成时间]
	private String actualfinishtime;//[实际完成时间]
	private int jobprocessstate;//[工单处理状态]
	private String jobreportcompany;//[工单上报单位]
	private String jobreportpeople;//[工单上报人]
	private String jobreportphone;//[工单上报人电话]
	private String jobreporttime;//[工单上报时间]
	private int jobacceptstate;//[工单受理状态]
	private String jobaccepttime;//[工单受理时间]
	private String jobacceptcompany;//[工单受理单位]
	private String jobacceptpeople;//[工单受理人]
	private String jobacceptphone;//[工单受理人电话]
	private String rejectcause;//[驳回原因]
	private int ishangup;//[是否挂起]
	private String hangupcause;//[挂起原因]
	private String hanguppeople;//[挂起人]
	private String hangupcompany;//[挂起人单位]
	private String hanguptime;//[挂起时间]
	private String unhanguptime;//[取消挂起时间]
	private String unhanguppeople;//[取消挂起人]
	private String unhangupcompany;//[取消挂起人单位]
	private String faultacceptinfo;//[故障受理信息]
	private String feedbackcompany;//[反馈单位]
	private String feedbackpeople;//[反馈人]
	private String feedbacktime;//[反馈时间]
	private String feedbackphone;//[反馈人电话]
	private int feedbackstate;//[反馈状态]
	private String feedbackinfo;//[反馈信息]
	private int isdelay;//[是否延期]
	private String delaytime;//[延期时间]
	private String delaycause;//[延期原因]
	private String delayforcompany;//[延期审批单位]
	private String delayforpeople;//[延期审批人]
	private String delayfortime;//[延期审批时间]
	private int delayforstate;//[延期审批状态]
	private String delayfordescription;//[延期审批信息]
	private int confirmfaulttype;//[确认故障类型]
	private String confirmfaultinfo;//[确认故障信息]
	private String repairdays;//[维修天数]
	private String confirmcompany;//[反馈确认单位]
	private String confirmpeople;//[反馈确认人]
	private String confirmtime;//[反馈确认时间]
	private String confirmphone;//[反馈确认人电话]
	private String confirmstate;//[反馈确认状态]
	private String confirmdescription;//[反馈确认信息描述]
	private String createaccount;//[创建人员]
	private String createtime;//[创建日期]
	private String modifyaccount;//[修改人员]
	private String modifytime;//[修改日期]
	private String remarks;//[备注]
	private String extend1;//[扩展1]
	private String extend2;//[扩展2]
	private String extend3;//[扩展3]
	private String extend4;//[扩展4]
	public String getJobid() {
		return jobid;
	}
	public void setJobid(String jobid) {
		this.jobid = jobid;
	}
	public int getJobsource() {
		return jobsource;
	}
	public void setJobsource(int jobsource) {
		this.jobsource = jobsource;
	}
	public String getAlarmeventid() {
		return alarmeventid;
	}
	public void setAlarmeventid(String alarmeventid) {
		this.alarmeventid = alarmeventid;
	}
	public int getFaultdevicetype() {
		return faultdevicetype;
	}
	public void setFaultdevicetype(int faultdevicetype) {
		this.faultdevicetype = faultdevicetype;
	}
	public String getFaultdevicename() {
		return faultdevicename;
	}
	public void setFaultdevicename(String faultdevicename) {
		this.faultdevicename = faultdevicename;
	}
	public String getFaultdeviceid() {
		return faultdeviceid;
	}
	public void setFaultdeviceid(String faultdeviceid) {
		this.faultdeviceid = faultdeviceid;
	}
	public int getChannelnum() {
		return channelnum;
	}
	public void setChannelnum(int channelnum) {
		this.channelnum = channelnum;
	}
	public String getFaultpictureurl() {
		return faultpictureurl;
	}
	public void setFaultpictureurl(String faultpictureurl) {
		this.faultpictureurl = faultpictureurl;
	}
	public int getFaultgrade() {
		return faultgrade;
	}
	public void setFaultgrade(int faultgrade) {
		this.faultgrade = faultgrade;
	}
	public int getFaulttype() {
		return faulttype;
	}
	public void setFaulttype(int faulttype) {
		this.faulttype = faulttype;
	}
	public String getFaultdescription() {
		return faultdescription;
	}
	public void setFaultdescription(String faultdescription) {
		this.faultdescription = faultdescription;
	}
	public String getFaultoccurtime() {
		return faultoccurtime;
	}
	public void setFaultoccurtime(String faultoccurtime) {
		this.faultoccurtime = faultoccurtime;
	}
	public String getRequirefinishtime() {
		return requirefinishtime;
	}
	public void setRequirefinishtime(String requirefinishtime) {
		this.requirefinishtime = requirefinishtime;
	}
	public String getActualfinishtime() {
		return actualfinishtime;
	}
	public void setActualfinishtime(String actualfinishtime) {
		this.actualfinishtime = actualfinishtime;
	}
	public int getJobprocessstate() {
		return jobprocessstate;
	}
	public void setJobprocessstate(int jobprocessstate) {
		this.jobprocessstate = jobprocessstate;
	}
	public String getJobreportcompany() {
		return jobreportcompany;
	}
	public void setJobreportcompany(String jobreportcompany) {
		this.jobreportcompany = jobreportcompany;
	}
	public String getJobreportpeople() {
		return jobreportpeople;
	}
	public void setJobreportpeople(String jobreportpeople) {
		this.jobreportpeople = jobreportpeople;
	}
	public String getJobreportphone() {
		return jobreportphone;
	}
	public void setJobreportphone(String jobreportphone) {
		this.jobreportphone = jobreportphone;
	}
	public String getJobreporttime() {
		return jobreporttime;
	}
	public void setJobreporttime(String jobreporttime) {
		this.jobreporttime = jobreporttime;
	}
	public int getJobacceptstate() {
		return jobacceptstate;
	}
	public void setJobacceptstate(int jobacceptstate) {
		this.jobacceptstate = jobacceptstate;
	}
	public String getJobaccepttime() {
		return jobaccepttime;
	}
	public void setJobaccepttime(String jobaccepttime) {
		this.jobaccepttime = jobaccepttime;
	}
	public String getJobacceptcompany() {
		return jobacceptcompany;
	}
	public void setJobacceptcompany(String jobacceptcompany) {
		this.jobacceptcompany = jobacceptcompany;
	}
	public String getJobacceptpeople() {
		return jobacceptpeople;
	}
	public void setJobacceptpeople(String jobacceptpeople) {
		this.jobacceptpeople = jobacceptpeople;
	}
	public String getJobacceptphone() {
		return jobacceptphone;
	}
	public void setJobacceptphone(String jobacceptphone) {
		this.jobacceptphone = jobacceptphone;
	}
	public String getRejectcause() {
		return rejectcause;
	}
	public void setRejectcause(String rejectcause) {
		this.rejectcause = rejectcause;
	}
	public int getIshangup() {
		return ishangup;
	}
	public void setIshangup(int ishangup) {
		this.ishangup = ishangup;
	}
	public String getHangupcause() {
		return hangupcause;
	}
	public void setHangupcause(String hangupcause) {
		this.hangupcause = hangupcause;
	}
	public String getHanguppeople() {
		return hanguppeople;
	}
	public void setHanguppeople(String hanguppeople) {
		this.hanguppeople = hanguppeople;
	}
	public String getHangupcompany() {
		return hangupcompany;
	}
	public void setHangupcompany(String hangupcompany) {
		this.hangupcompany = hangupcompany;
	}
	public String getHanguptime() {
		return hanguptime;
	}
	public void setHanguptime(String hanguptime) {
		this.hanguptime = hanguptime;
	}
	public String getUnhanguptime() {
		return unhanguptime;
	}
	public void setUnhanguptime(String unhanguptime) {
		this.unhanguptime = unhanguptime;
	}
	public String getUnhanguppeople() {
		return unhanguppeople;
	}
	public void setUnhanguppeople(String unhanguppeople) {
		this.unhanguppeople = unhanguppeople;
	}
	public String getUnhangupcompany() {
		return unhangupcompany;
	}
	public void setUnhangupcompany(String unhangupcompany) {
		this.unhangupcompany = unhangupcompany;
	}
	public String getFaultacceptinfo() {
		return faultacceptinfo;
	}
	public void setFaultacceptinfo(String faultacceptinfo) {
		this.faultacceptinfo = faultacceptinfo;
	}
	public String getFeedbackcompany() {
		return feedbackcompany;
	}
	public void setFeedbackcompany(String feedbackcompany) {
		this.feedbackcompany = feedbackcompany;
	}
	public String getFeedbackpeople() {
		return feedbackpeople;
	}
	public void setFeedbackpeople(String feedbackpeople) {
		this.feedbackpeople = feedbackpeople;
	}
	public String getFeedbacktime() {
		return feedbacktime;
	}
	public void setFeedbacktime(String feedbacktime) {
		this.feedbacktime = feedbacktime;
	}
	public String getFeedbackphone() {
		return feedbackphone;
	}
	public void setFeedbackphone(String feedbackphone) {
		this.feedbackphone = feedbackphone;
	}
	public int getFeedbackstate() {
		return feedbackstate;
	}
	public void setFeedbackstate(int feedbackstate) {
		this.feedbackstate = feedbackstate;
	}
	public String getFeedbackinfo() {
		return feedbackinfo;
	}
	public void setFeedbackinfo(String feedbackinfo) {
		this.feedbackinfo = feedbackinfo;
	}
	public int getIsdelay() {
		return isdelay;
	}
	public void setIsdelay(int isdelay) {
		this.isdelay = isdelay;
	}
	public String getDelaytime() {
		return delaytime;
	}
	public void setDelaytime(String delaytime) {
		this.delaytime = delaytime;
	}
	public String getDelaycause() {
		return delaycause;
	}
	public void setDelaycause(String delaycause) {
		this.delaycause = delaycause;
	}
	public String getDelayforcompany() {
		return delayforcompany;
	}
	public void setDelayforcompany(String delayforcompany) {
		this.delayforcompany = delayforcompany;
	}
	public String getDelayforpeople() {
		return delayforpeople;
	}
	public void setDelayforpeople(String delayforpeople) {
		this.delayforpeople = delayforpeople;
	}
	public String getDelayfortime() {
		return delayfortime;
	}
	public void setDelayfortime(String delayfortime) {
		this.delayfortime = delayfortime;
	}
	public int getDelayforstate() {
		return delayforstate;
	}
	public void setDelayforstate(int delayforstate) {
		this.delayforstate = delayforstate;
	}
	public String getDelayfordescription() {
		return delayfordescription;
	}
	public void setDelayfordescription(String delayfordescription) {
		this.delayfordescription = delayfordescription;
	}
	public int getConfirmfaulttype() {
		return confirmfaulttype;
	}
	public void setConfirmfaulttype(int confirmfaulttype) {
		this.confirmfaulttype = confirmfaulttype;
	}
	public String getConfirmfaultinfo() {
		return confirmfaultinfo;
	}
	public void setConfirmfaultinfo(String confirmfaultinfo) {
		this.confirmfaultinfo = confirmfaultinfo;
	}
	public String getRepairdays() {
		return repairdays;
	}
	public void setRepairdays(String repairdays) {
		this.repairdays = repairdays;
	}
	public String getConfirmcompany() {
		return confirmcompany;
	}
	public void setConfirmcompany(String confirmcompany) {
		this.confirmcompany = confirmcompany;
	}
	public String getConfirmpeople() {
		return confirmpeople;
	}
	public void setConfirmpeople(String confirmpeople) {
		this.confirmpeople = confirmpeople;
	}
	public String getConfirmtime() {
		return confirmtime;
	}
	public void setConfirmtime(String confirmtime) {
		this.confirmtime = confirmtime;
	}
	public String getConfirmphone() {
		return confirmphone;
	}
	public void setConfirmphone(String confirmphone) {
		this.confirmphone = confirmphone;
	}
	public String getConfirmstate() {
		return confirmstate;
	}
	public void setConfirmstate(String confirmstate) {
		this.confirmstate = confirmstate;
	}
	public String getConfirmdescription() {
		return confirmdescription;
	}
	public void setConfirmdescription(String confirmdescription) {
		this.confirmdescription = confirmdescription;
	}
	public String getCreateaccount() {
		return createaccount;
	}
	public void setCreateaccount(String createaccount) {
		this.createaccount = createaccount;
	}
	public String getCreatetime() {
		return createtime;
	}
	public void setCreatetime(String createtime) {
		this.createtime = createtime;
	}
	public String getModifyaccount() {
		return modifyaccount;
	}
	public void setModifyaccount(String modifyaccount) {
		this.modifyaccount = modifyaccount;
	}
	public String getModifytime() {
		return modifytime;
	}
	public void setModifytime(String modifytime) {
		this.modifytime = modifytime;
	}
	public String getRemarks() {
		return remarks;
	}
	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}
	public String getExtend1() {
		return extend1;
	}
	public void setExtend1(String extend1) {
		this.extend1 = extend1;
	}
	public String getExtend2() {
		return extend2;
	}
	public void setExtend2(String extend2) {
		this.extend2 = extend2;
	}
	public String getExtend3() {
		return extend3;
	}
	public void setExtend3(String extend3) {
		this.extend3 = extend3;
	}
	public String getExtend4() {
		return extend4;
	}
	public void setExtend4(String extend4) {
		this.extend4 = extend4;
	}
	
}